Package ghidra.program.util

# Class InstructionUtils

java.lang.Object
ghidra.program.util.InstructionUtils

public class InstructionUtils extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InstructionUtils()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static String[]`
  `getFormatedInstructionObjects(Instruction instr, boolean input)`
  Format instruction input or result objects
  `static String[]`
  `getFormatedOperandObjects(Instruction instr, int opIndex)`
  Format instruction operand objects
  `static String`
  `getFormattedContextRegisterValueBreakout(Instruction instr, String indent)`
  Get formatted context register as list of child register values
  `static String`
  `getFormattedInstructionDetails(Instruction instruction, SleighDebugLogger debug)`
  Get details instruction info as formatted text
  `static String`
  `getFormattedRegisterValueBits(RegisterValue value, String indent)`
  Get formatted RegisterValue as list of child register values

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### InstructionUtils

    public InstructionUtils()

- ## Method Details

  - ### getFormattedInstructionDetails

    public static String getFormattedInstructionDetails(Instruction instruction, SleighDebugLogger debug)
    Get details instruction info as formatted text
    Parameters:
      `instruction` -
      `debug` - SleighDebugerLogger for specified instruction or null
    Returns:
      instruction details

  - ### getFormattedContextRegisterValueBreakout

    public static String getFormattedContextRegisterValueBreakout(Instruction instr, String indent)
    Get formatted context register as list of child register values
    Parameters:
      `instr` -
    Returns:
      formatted context data

  - ### getFormatedInstructionObjects

    public static String[] getFormatedInstructionObjects(Instruction instr, boolean input)
    Format instruction input or result objects
    Parameters:
      `instr` - instruction
      `input` - input objects if true else result objects
    Returns:
      formatted array of strings

  - ### getFormatedOperandObjects

    public static String[] getFormatedOperandObjects(Instruction instr, int opIndex)
    Format instruction operand objects
    Parameters:
      `instr` - instruction
      `opIndex` - the operand index
    Returns:
      formatted array of strings

  - ### getFormattedRegisterValueBits

    public static String getFormattedRegisterValueBits(RegisterValue value, String indent)
    Get formatted RegisterValue as list of child register values
    Parameters:
      `value` -
    Returns: